Bug 1289644 - wireshark broken ABI in 7.2 when compiled on 7.1
wireshark broken ABI in 7.2 when compiled on 7.1
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: wireshark (Show other bugs)
7.2
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Peter Hatina
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 11:10 EST by Joe Wright
Modified: 2016-05-31 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 14:26:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Wright 2015-12-08 11:10:10 EST
Description of problem:

When changing from RHEL 7.1 to 7.2, in /usr/include/wireshark/wiretap/wtap.h there is an additional member of wtap_pkthdr: 
  "int pkt_tsprec; /* WTAP_TSPREC_ value for this packet */"

(Also there is a new member in wtapng_if_descr_s).

This appears to be due to:
https://code.wireshark.org/review/#/c/4349/

This breaks the ABI -- when compiling an application with RHEL 7.1, it will crash on RHEL 7.2.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Update to newest version of wireshark
2.
3.

Actual results:


Expected results:


Additional info:

A possible fix would be to have a new "major" version of libwiretap.so.

Note You need to log in before you can comment on or make changes to this bug.